import { d as ThemeProp, p as WithTheme } from "../Badge-DQG0s17y.js";
import * as _$_emotion_styled0 from "@emotion/styled";
import * as _$react from "react";
import * as _$_emotion_react0 from "@emotion/react";
import { Theme } from "@emotion/react";

//#region src/styles/common.d.ts
declare const rootFontSizePx = 12;
declare const rootFontSizeRems: number;
declare const standardLineHeightEms = 1.21;
declare const headingContentMarginPx = 30;
declare const standardContentInset: {
  smPx: number;
  minSmMaxLgPx: number;
  lgPx: number;
  smCSS: _$_emotion_react0.SerializedStyles;
  minSmMaxLgCSS: _$_emotion_react0.SerializedStyles;
  lgCSS: _$_emotion_react0.SerializedStyles;
  css: _$_emotion_react0.SerializedStyles;
};
type StandardBorderRadius = 0 | 4 | 6 | 8 | 12 | 16 | 18 | 32;
declare const cardBorderRadiusPx = 16;
type BorderRadiusArg = StandardBorderRadius | StandardBorderRadius[];
declare const standardBorderRadius: (radius: BorderRadiusArg) => string;
declare const standardCardShadow: _$_emotion_react0.SerializedStyles;
declare const standardCardShadowHard: _$_emotion_react0.SerializedStyles;
declare const pageBorderRadiusPx = 16;
declare const pageBorderRadius = "\n  border-radius: 16px;\n";
declare const getFocusOutline: ({
  theme,
  onBgHex
}: WithTheme<{
  onBgHex?: string;
}>) => string;
declare const outlineOffset = "-2px";
declare const standardFocusOutline: ({
  theme
}: ThemeProp) => _$_emotion_react0.SerializedStyles;
declare const delta: ({
  theme,
  delta,
  invertSuccessColor
}: WithTheme<{
  delta?: number;
  invertSuccessColor?: boolean;
}>) => _$_emotion_react0.SerializedStyles;
declare const subtext: ({
  theme
}: ThemeProp) => _$_emotion_react0.SerializedStyles;
declare const Subtext: _$_emotion_styled0.StyledComponent<{
  theme?: Theme;
  as?: React.ElementType;
}, _$react.DetailedHTMLProps<_$react.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const darkGradientBg: _$_emotion_react0.SerializedStyles;
declare const overlaySurfaceBorderColor: ({
  theme,
  important
}: WithTheme<{
  important?: boolean;
}>) => _$_emotion_react0.SerializedStyles;
declare const overlaySurface: ({
  theme,
  important,
  border
}: WithTheme<{
  important?: boolean;
  border?: boolean;
}>) => _$_emotion_react0.SerializedStyles;
declare const mcBold: (theme: Theme) => _$_emotion_react0.SerializedStyles;
declare const mcBoldStyled: ({
  theme
}: ThemeProp) => _$_emotion_react0.SerializedStyles;
//#endregion
export { Subtext, cardBorderRadiusPx, darkGradientBg, delta, getFocusOutline, headingContentMarginPx, mcBold, mcBoldStyled, outlineOffset, overlaySurface, overlaySurfaceBorderColor, pageBorderRadius, pageBorderRadiusPx, rootFontSizePx, rootFontSizeRems, standardBorderRadius, standardCardShadow, standardCardShadowHard, standardContentInset, standardFocusOutline, standardLineHeightEms, subtext };